Bug 169184 - ls hangs on krb5 mountd when user has not kinit-ed
ls hangs on krb5 mountd when user has not kinit-ed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
: 169186 (view as bug list)
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-09-24 03:44 EDT by Steve Dickson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2005-09-24 03:44:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.7.10-1.3.2

Description of problem:
The ls-ing of a NFS mounted directory hangs when
the filesystem is mounted with the -o sec=krb5 option and
the user has not have Kerberos ticket.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. root# mount -o sec=krb5 server:/export /mnt/export
2. user$ ls /mnt/export
3.
  

Actual Results:  ls hangs 

Expected Results:  ls should return Permission denied

Additional info:

The following patch fixes the problem:

@@ -486,8 +486,6 @@ gss_pipe_downcall(struct file *filp, con
        spin_lock(&gss_auth->lock);
        gss_msg = __gss_find_upcall(gss_auth, acred.uid);
        if (gss_msg) {
+               if (gss_err)
+                       gss_msg->msg.errno = -EACCES;
                __gss_unhash_msg(gss_msg);
                spin_unlock(&gss_auth->lock);
                gss_release_msg(gss_msg);
Comment 1 Steve Dickson 2005-09-24 04:18:32 EDT
*** Bug 169186 has been marked as a duplicate of this bug. ***
Comment 3 Steve Dickson 2005-11-07 10:42:29 EST
Proposed patch on RHKL:
http://post-office.corp.redhat.com/archives/rhkernel-list/2005-September/msg00512.html

Waiting for patch to be commit to CVS Tree
Comment 7 Red Hat Bugzilla 2006-03-07 15:13:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.